# Uses of Interface
java.awt.event.ComponentListener

Packages that use ComponentListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of ComponentListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type ComponentListener
Modifier and Type
Method
Description
`static void`
AWTEventMonitor.`addComponentListener(ComponentListener l)`
Adds the specified listener to receive all `COMPONENT` events on each component instance in the Java Virtual Machine as they occur.
`static void`
AWTEventMonitor.`removeComponentListener(ComponentListener l)`
Removes the specified listener so it no longer receives `COMPONENT` events when they occur.

## Uses of ComponentListener in java.awt

Classes in java.awt that implement ComponentListener
Modifier and Type
Class
Description
`class`
`AWTEventMulticaster`
`AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
`protected class`
`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler`
Fire PropertyChange listener, if one is registered, when shown/hidden..
Fields in java.awt declared as ComponentListener
Modifier and Type
Field
Description
`protected ComponentListener`
Component.AccessibleAWTComponent.`accessibleAWTComponentHandler`
A component listener to track show/hide/resize events and convert them to PropertyChange events.
Methods in java.awt that return ComponentListener
Modifier and Type
Method
Description
`static ComponentListener`
AWTEventMulticaster.`add(ComponentListener a, ComponentListener b)`
Adds component-listener-a with component-listener-b and returns the resulting multicast listener.
`ComponentListener[]`
Component.`getComponentListeners()`
Returns an array of all the component listeners registered on this component.
`static ComponentListener`
AWTEventMulticaster.`remove(ComponentListener l, ComponentListener oldl)`
Removes the old component-listener from component-listener-l and returns the resulting multicast listener.
Methods in java.awt with parameters of type ComponentListener
Modifier and Type
Method
Description
`static ComponentListener`
AWTEventMulticaster.`add(ComponentListener a, ComponentListener b)`
Adds component-listener-a with component-listener-b and returns the resulting multicast listener.
`void`
Component.`addComponentListener(ComponentListener l)`
Adds the specified component listener to receive component events from this component.
`static ComponentListener`
AWTEventMulticaster.`remove(ComponentListener l, ComponentListener oldl)`
Removes the old component-listener from component-listener-l and returns the resulting multicast listener.
`void`
Component.`removeComponentListener(ComponentListener l)`
Removes the specified component listener so that it no longer receives component events from this component.

## Uses of ComponentListener in java.awt.event

Classes in java.awt.event that implement ComponentListener
Modifier and Type
Class
Description
`class`
`ComponentAdapter`
An abstract adapter class for receiving component events.

## Uses of ComponentListener in javax.swing

Classes in javax.swing that implement ComponentListener
Modifier and Type
Class
Description
`protected class`
`JViewport.ViewListener`
A listener for the view.

## Uses of ComponentListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ComponentListener
Modifier and Type
Class
Description
`protected class`
`BasicInternalFrameUI.ComponentHandler`
Component handler.
`class`
`BasicSliderUI.ComponentHandler`
Listener for resizing events.
`class`
`BasicTreeUI.ComponentHandler`
Updates the preferred size when scrolling (if necessary).
Fields in javax.swing.plaf.basic declared as ComponentListener
Modifier and Type
Field
Description
`protected ComponentListener`
BasicInternalFrameUI.`componentListener`
Component listener
`protected ComponentListener`
BasicSliderUI.`componentListener`
Component listener
Methods in javax.swing.plaf.basic that return ComponentListener
Modifier and Type
Method
Description
`protected ComponentListener`
BasicInternalFrameUI.`createComponentListener()`
Creates a component listener.
`protected ComponentListener`
BasicSliderUI.`createComponentListener(JSlider slider)`
Creates a composite listener.
`protected ComponentListener`
BasicTreeUI.`createComponentListener()`
Creates and returns a new ComponentHandler.